/{orgId}/admin/{itemId}/importImports a new Workflow Manager configuration from the selected .wmc file. Workflow Manager configurations can be imported to items at the same or higher version as the configuration. If you wish to import a newer configuration into an older item version, refer to this topic for compatible item versions. Importing a newer configuration into an older item version is not supported at ArcGIS Enterprise 12.0 and earlier releases. It is recommended to back up configurations before importing. passphrase on export has been deprecated at ArcGIS Enterprise 12.0. If you have an export that was created before ArcGIS Enterprise 12.0 using a passphrase, you can provide the same passphrase during import to import encrypted user defined settings. If encrypted settings are included, but no passphrase is provided, the setting will be imported with "" as the value. Importing will fail if any jobs exist in the destination item. Excess scheduled tasks will be dropped based on the portal limit. The adminAdvanced privilege is required.
Body parameters
Supported content types: multipart/form-data
| Name | Type | Required | Description |
|---|---|---|---|
token | string | ||
file | string(binary) | The configuration file to be imported into the specified item | |
passphrase | string | Optional. Passphrase for encrypted settings. Deprecated at ArcGIS Enterprise 12.0. |
Path parameters
| Name | Type | Required |
|---|---|---|
org | string | |
item | string |
Response status
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | success | SuccessResponse |
| 400 | Bad Request | error | WorkflowExceptionDTO |
Examples
Request
# You can also use wget
curl -X POST '/{orgId}/admin/{itemId}/import' \
-H 'Content-Type: multipart/form-data' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-F token=string \
-F file=string \
-F passphrase=stringResponse
{
"success": true,
"message": "string",
"name": "UnableToDetermineHostingServer"
}